=== debian/changelog ===
dolfin (2019.2.0~git20210928.3eacdb4-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:22:32 +0000

dolfin (2019.2.0~git20210928.3eacdb4-3) unstable; urgency=medium

  * debian patch catch_SIGSTKSZ_libc6_2.34.patch patches catch.hpp
    setting sigStackSize to 32768 if using libc6 2.34 or later, where
    SIGSTKSZ is no longer an integer (already fixed in catch2, but
    this is vendored catch1). Adapted from catch2 upstream PR#2317,
    moderated by catch2 upstream commit c0d0a50b.
    Closes: #993516.
  * debian patch docs_local_mathjax.patch configures docs to build
    with local mathjax script.

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Feb 2022 11:14:50 +0100

dolfin (2019.2.0~git20210928.3eacdb4-2) unstable; urgency=medium

  * skip failing serial tests on hppa

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Oct 2021 15:37:25 +0200

dolfin (2019.2.0~git20210928.3eacdb4-1) unstable; urgency=medium

  * New upstream snapshot.
    - drop upper-versioned dependency on ufl (python3-ufl)
  * place INSTALLATION_BUILDDIR{_64} definitions before rules,
    to be used by override_dh_auto_clean
  * remove deprecated dolfin_utils entries from debian/copyright
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Oct 2021 11:33:15 +0200
