=== debian/tests/control ===
Tests: test-dolfin-cpp,
# test-dolfin64-cpp,
Depends: @, @builddeps@,
	  libblis-pthread-dev | libopenblas-pthread-dev
Restrictions: allow-stderr

Tests: test-dolfin-python-unittest,
 test-dolfin-python-demo
# test-dolfin64-cpp,
# test-dolfin64-python-unittest,
# test-dolfin64-python-demo
Depends: @, @builddeps@,
	  python3-pytest,
	  python3-decorator,
	  python3-matplotlib,
	  python3-scipy,
	  libblis-pthread-dev | libopenblas-pthread-dev
