## dolfin 2019.2.0~git20220407.d29e24d

=== debian/changelog ===
dolfin (2019.2.0~git20220407.d29e24d-6) unstable; urgency=medium

  * remove debian/tmp64 when running dh_auto_clean
  * debian/tests: skip demo_matnest on s390x

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Sep 2022 00:04:12 +0200

dolfin (2019.2.0~git20220407.d29e24d-5) unstable; urgency=medium

  * skip demo_mixed-poisson_mpi in build-time tests
  * debian patch test_import_ufl_2022.patch applies explicit ufl
    imports to .ufl files in order to work with ufl 2022.1.0
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Jun 2022 20:18:26 +0200

dolfin (2019.2.0~git20220407.d29e24d-4) unstable; urgency=medium

  * drop more flaky tests and demos

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Apr 2022 10:09:55 +0200

dolfin (2019.2.0~git20220407.d29e24d-3) unstable; urgency=medium

  * provide LD_LIBRARY_PATH to libdolfin.so when building python docs
  * Build-Depends: python3-pkgconfig and set PKG_CONFIG_PATH
    when building python docs

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Apr 2022 17:32:56 +0200

dolfin (2019.2.0~git20220407.d29e24d-2) unstable; urgency=medium

  * list dependencies for building docs under Build-Depends-Indep:
    python3-sphinx-rtd-theme, doxygen, graphviz
  * provide PYTHONPATH to newly built python module when building
    python docs
  * skip python unit test test_mixed_assembly_rank0 on i386, s390x

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Apr 2022 10:39:44 +0200

dolfin (2019.2.0~git20220407.d29e24d-1) unstable; urgency=medium

  * New upstream snapshot
    - adds Cécile Daversin-Catty's mixed-dimensional functionality
  * skip MPI demo tests in debian/tests which occasionally suffer
    race conditions in the test environment:
      block-assembly-2D2D, meshview-2D2D, meshview-3D1D

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Apr 2022 23:55:55 +0200

dolfin (2019.2.0~git20210928.3eacdb4-4) unstable; urgency=medium

  * skip test_function.py, test_function_assigner.py, and test_mesh.py
    test_shared_entities[shared_vertex-mesh_factory8] in MPI python
    unit tests (debian/tests for autopkgtest). Closes: #1008225.

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Apr 2022 15:48:51 +0200
