=== debian/control ===
--- 
+++ 
@@ -39,20 +39,21 @@
  python3-slepc4py-64-real,
  pybind11-dev (>= 2.2.0),
  python3-setuptools,
- pkg-config,
+ pkg-config, python3-pkgconfig,
  python3-all-dev,
  python3-pkg-resources,
  python3-ffc (>= 2019.2), python3-ffc (<< 2019.3),
  python3-dijitso (>= 2019.2), python3-dijitso (<< 2019.3),
  python3-numpy,
  python3-ply,
- python3-sphinx,
+ python3-sphinx
+Build-Depends-Indep:
  python3-sphinx-rtd-theme,
  doxygen,
  graphviz,
  libjs-mathjax,
  libjs-modernizr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/dolfin.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/dolfin
