=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 # hyperelasticity fails (diverges) on all arches (pivot factors too large, not enough memory assigned)
 # elastodynamics passes with dpkg-buildpackage but fails with pdebuild (on amd64). Unreliable, so skip.
-ARCH_ALL_SKIP_MPI_TEST = demo_hyperelasticity_mpi demo_elastodynamics_mpi
+ARCH_ALL_SKIP_MPI_TEST = demo_hyperelasticity_mpi demo_elastodynamics_mpi demo_mixed-poisson_mpi
 
 # Some arches fail the same MPI tests
 # e.g. cahn-hilliard, navier-stokes, elasticity, fails or exceeds allowed time
