## dolfin 2019.2.0~git20221205.588d3ac

=== debian/changelog ===
dolfin (2019.2.0~git20221205.588d3ac-2) unstable; urgency=medium

  * add debian patches
    - matplotlib3.6.patch uses plt.axes directly to access 3D axes.
      gca() no longer takes arguments in matplotlib 3.6, only handles
      2D plots. Also fixes 3D quiver plots. Closes: #1027170.
    - debian_version_id.patch sets git_commit_hash to
      DEBIAN_VERSION_ID (os ID from /etc/os-release with debian
      version) rather than leaving as "unknown" (since built from
      tarball source not git source).
    - update test_float128.patch to use float,int,long instead of
      deprecated (removed) numpy.float,numpy.int,numpy.long. Replace
      deprecated np.[u]int0 with np.[u]intp. Closes: #1027190.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Jan 2023 16:25:49 +0100

dolfin (2019.2.0~git20221205.588d3ac-1) unstable; urgency=medium

  * New upstream snapshot
    - applies debian patches fix_ftbfs.patch
      and test_import_ufl_2022.patch
  * debian/tests: specify bash shell in cpp tests to ensure the
    echo -e flag is available (to enable backslash escapes)

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Dec 2022 01:16:45 +0100

dolfin (2019.2.0~git20220407.d29e24d-8) unstable; urgency=medium

  * debian/tests: reorganise python unit tests to be skipped using
    shell arrays. Helps ensure armel skips test_mixed_assembly_rank0
    Likewise organise skipped python demos using shell arrays.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Sep 2022 11:43:00 +0200

dolfin (2019.2.0~git20220407.d29e24d-7) unstable; urgency=medium

  * debian/tests: add armel to the list of arches skipping
    test_mixed_assembly_rank0 in python unit tests

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Sep 2022 10:32:35 +0200
