## dolfin 2019.2.0~git20230116.bd54183

=== io/CMakeLists.txt ===
set(HEADERS
  base64.h
  dolfin_io.h
  Encoder.h
  File.h
  GenericFile.h
  HDF5Attribute.h
  HDF5File.h
  HDF5Interface.h
  HDF5Utility.h
  RAWFile.h
  SVGFile.h
  VTKFile.h
  VTKWriter.h
  X3DFile.h
  X3DOM.h
  XDMFFile.h
  XMLArray.h
  XMLFile.h
  XMLFunctionData.h
  XMLMeshFunction.h
  XMLMesh.h
  XMLMeshValueCollection.h
  XMLParameters.h
  XMLTable.h
  xmlutils.h
  XMLVector.h
  XYZFile.h
  PARENT_SCOPE)

set(SOURCES
  base64.cpp
  File.cpp
  GenericFile.cpp
  HDF5Attribute.cpp
  HDF5File.cpp
  HDF5Interface.cpp
  HDF5Utility.cpp
  pugixml.cpp
  RAWFile.cpp
  SVGFile.cpp
  VTKFile.cpp
  VTKWriter.cpp
  X3DFile.cpp
  X3DOM.cpp
  XDMFFile.cpp
  XMLFile.cpp
  XMLFunctionData.cpp
  XMLMesh.cpp
  XMLParameters.cpp
  XMLTable.cpp
  xmlutils.cpp
  XMLVector.cpp
  XYZFile.cpp
  PARENT_SCOPE)
