=== debian/changelog ===
dolfin (2019.2.0~git20230116.bd54183-2) unstable; urgency=medium

  * debian/tests: armhf debci started running out of disk space
    compiling some forms, so skip test_form,
    test_evaluate_dofs_manifolds_affine,
    test_butcher_schemes_vector[ForwardEuler-True]

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Feb 2023 11:33:10 +0100

dolfin (2019.2.0~git20230116.bd54183-1) unstable; urgency=medium

  * New upstream snapshot
    - provides fixes for mixed-dimensional

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Feb 2023 16:51:16 +0100
