=== debian/control ===
--- 
+++ 
@@ -53,7 +53,7 @@
  graphviz,
  libjs-mathjax,
  libjs-modernizr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/dolfin.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/dolfin
