=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,16 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+OS_ID := $(shell grep -E "^ID" /etc/os-release | sed "s/^ID=//")
 
 DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
 DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
 DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
 DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
 DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/\+dfsg.*$$//p')
+
+DEBIAN_VERSION_ID := $(OS_ID)_$(DEB_VERSION)
 
 FENICS_RELEASE_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)
 FENICS_MAJOR_VERSION=$(shell echo $(FENICS_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
@@ -141,5 +145,3 @@
 ifeq (armel, $(DEB_HOST_ARCH))
   ARCH_SPECIFIC_SKIP_SERIAL_TEST_64 += demo_contact-vi-snes_serial
 else ifeq (armhf, $(DEB_HOST_ARCH))
-  ARCH_SPECIFIC_SKIP_SERIAL_TEST_64 += demo_contact-vi-snes_serial
-else ifeq (mipsel, $(DEB_HOST_ARCH))
