## dolfin 2019.2.0~legacy20230609.8b85e9d.ar

=== debian/changelog ===
dolfin (2019.2.0~legacy20230609.8b85e9d.ar-4) unstable; urgency=medium

  * source-only upload to migrate to testing

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Aug 2023 17:17:45 +0200

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-3) unstable; urgency=medium

  * gcc-13 patches alter the ABI, so add gcc13 suffix to sonames.
    Closes: #1041705.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Jul 2023 20:41:21 +0200

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-2) unstable; urgency=medium

  * debian patch gcc13.patch enables build with gcc-13
    - apply dolfinx PR#2646 to use int instead of std::int32_t
      in timing.h
    - elsewhere #include <cstdint> to define std::int32_t
    - Closes: #1037622

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Jul 2023 19:58:06 +0200

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-1) unstable; urgency=medium

  * snapshot of upstream ufl_legacy branch
    - source tarball generated with git archive to catch git-lfs files
    - applies debian ufl_legacy renaming patches
  * document use of ufl_legacy in debian/NEWS and in README.Debian.
    Install README.Debian in libdolfin-dev, python3-dolfin, dolfin-doc.
  * debian patch docstring_not_byte.patch fixes docstring. The byte
    string broke pytest 7.3 (PYTEST_DONT_REWRITE). Thanks Timo Röhling.
    Closes: #1038883.

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jun 2023 13:24:37 +0200

dolfin (2019.2.0~git20230116.bd54183-3) experimental; urgency=medium

  * UFL 2023.1 has diverged and breaks dolfin.
    debian patches rename_ufl_legacy.patch, test_ufl_legacy.patch
    and demo_ufl_legacy.patch rename ufl as ufl_legacy providing the
    last compatible UFL 2022.2. Depends: python3-ufl-legacy.
    Build-Depends: python3-ffc (>= 2019.2.0~git20210714.a20cbe7-4~),
    python3-ufl-legacy (>= 1:2022.2.0-3~)

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Apr 2023 18:21:52 +0200
