=== debian/control ===
--- 
+++ 
@@ -42,8 +42,9 @@
  pkg-config, python3-pkgconfig,
  python3-all-dev,
  python3-pkg-resources,
- python3-ffc (>= 2019.2), python3-ffc (<< 2019.3),
+ python3-ffc (>= 2019.2.0~git20210714.a20cbe7-4~), python3-ffc (<< 2019.3),
  python3-dijitso (>= 2019.2), python3-dijitso (<< 2019.3),
+ python3-ufl-legacy (>= 1:2022.2.0-3~),
  python3-numpy,
  python3-ply,
  python3-sphinx
@@ -76,7 +77,7 @@
  libboost-serialization-dev,
  libboost-thread-dev,
  libboost-timer-dev,
- libdolfin2019.2 (= ${binary:Version}),
+ libdolfin2019.2gcc13 (= ${binary:Version}),
  libeigen3-dev,
  libhdf5-mpi-dev,
  libsuitesparse-dev,
@@ -151,7 +152,7 @@
  This is the legacy version of DOLFIN, you may want to install the
  next-generation libdolfinx-dev (DOLFIN-X) instead.
 
-Package: libdolfin2019.2
+Package: libdolfin2019.2gcc13
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -173,8 +174,8 @@
 Architecture: any
 Depends: python3-dolfin-real | python3-dolfin64-real,
  python3-dijitso (>= ${fenics:Upstream-Version}), python3-dijitso (<< ${fenics:Next-Upstream-Version}),
- python3-ffc (>= ${fenics:Upstream-Version}), python3-ffc (<< ${fenics:Next-Upstream-Version}),
- python3-ufl (>= ${fenics:Upstream-Version}),
+ python3-ffc (>= 2019.2.0~git20210714.a20cbe7-4~),
+ python3-ufl-legacy (>= 1:2022.2.0-3~),
  python3-numpy,
  ${python3-petsc4py:Depends},
  python3-ply,
@@ -208,7 +209,7 @@
 Architecture: any
 Depends:
  libdolfin-dev (= ${binary:Version}),
- libdolfin2019.2 (= ${binary:Version}),
+ libdolfin2019.2gcc13 (= ${binary:Version}),
  ${python3-petsc4py-real:Depends},
  ${misc:Depends},
  ${python3:Depends},
@@ -247,7 +248,7 @@
  libboost-serialization-dev,
  libboost-thread-dev,
  libboost-timer-dev,
- libdolfin64-2019.2 (= ${binary:Version}),
+ libdolfin64-2019.2gcc13 (= ${binary:Version}),
  libeigen3-dev,
  libhdf5-mpi-dev,
  libsuitesparse-dev,
@@ -272,7 +273,7 @@
  This is the legacy version of DOLFIN, you may want to install the
  next-generation libdolfinx-dev (DOLFIN-X) instead.
 
-Package: libdolfin64-2019.2
+Package: libdolfin64-2019.2gcc13
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -295,7 +296,7 @@
 Architecture: any
 Depends:
  libdolfin64-dev (= ${binary:Version}),
- libdolfin64-2019.2 (= ${binary:Version}),
+ libdolfin64-2019.2gcc13 (= ${binary:Version}),
  ${python3-petsc4py-64-real:Depends},
  ${misc:Depends},
  ${python3:Depends},
@@ -344,4 +345,3 @@
  python3-dolfin (>= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends}
-Description: Executable scripts for DOLFIN
